{ config, lib, pkgs, ... }:

with lib;
with lib.my;
let cfg = config.modules.desktop.media.graphics;
in {
  options.modules.desktop.media.graphics = {
    modeling.enable = mkBoolOpt false;
    raster.enable   = mkBoolOpt false;
    vector.enable   = mkBoolOpt false;
  };

  config = {
    user.packages = with pkgs; [
      (mkIf cfg.modeling.enable blender)
      (mkIf cfg.raster.enable gimp)
      (mkIf cfg.raster.enable krita)
      (mkIf cfg.vector.enable inkscape)
    ];
  };
}